Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.client
Class RingCache

    java.lang.Object
      org.apache.cassandra.client.RingCache

    public class RingCache

extends java.lang.Object

A class for caching the ring map at the client. For usage example, see test/unit/org.apache.cassandra.client.TestRingCache.java. TODO: doing a naive linear search of the token map

Constructor Summary
`RingCache(org.apache.hadoop.conf.Configuration conf)`

Method Summary
`java.util.List<java.net.InetAddress>` | `getEndpoint(java.nio.ByteBuffer key)`
`java.util.List<java.net.InetAddress>` | `getEndpoint(Range<Token> range)` ListMultimap promises to return a List for get(K)
`Range<Token>` | `getRange(java.nio.ByteBuffer key)`
`void` | `refreshEndpointMap()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RingCache

    public RingCache(org.apache.hadoop.conf.Configuration conf)
              throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### refreshEndpointMap

    public void refreshEndpointMap()

### getEndpoint

    public java.util.List<java.net.InetAddress> getEndpoint(Range<Token> range)

  ListMultimap promises to return a List for get(K)

### getEndpoint

    public java.util.List<java.net.InetAddress> getEndpoint(java.nio.ByteBuffer key)

### getRange

    public Range<Token> getRange(java.nio.ByteBuffer key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation